### Enumeration

# Qmi DmsOperatingMode

since: 1.0

#### Declaration

    enum Qmi.DmsOperatingMode

#### Description [src]

Operating mode of the device.

Available since: 1.0

#### Members

`QMI_DMS_OPERATING_MODE_ONLINE`

  Device can acquire a system and make calls.

  - Value: `0`
  - Available since: 1.0
`QMI_DMS_OPERATING_MODE_LOW_POWER`

  Device has temporarily disabled RF.

  - Value: `1`
  - Available since: 1.0
`QMI_DMS_OPERATING_MODE_FACTORY_TEST`

  Special mode for manufacturer tests.

  - Value: `2`
  - Available since: 1.0
`QMI_DMS_OPERATING_MODE_OFFLINE`

  Device has deactivated RF and is partially shutdown.

  - Value: `3`
  - Available since: 1.0
`QMI_DMS_OPERATING_MODE_RESET`

  Device is in the process of power cycling.

  - Value: `4`
  - Available since: 1.0
`QMI_DMS_OPERATING_MODE_SHUTTING_DOWN`

  Device is in the process of shutting down.

  - Value: `5`
  - Available since: 1.0
`QMI_DMS_OPERATING_MODE_PERSISTENT_LOW_POWER`

  Device has disabled RF and state persists even after a reset.

  - Value: `6`
  - Available since: 1.0
`QMI_DMS_OPERATING_MODE_MODE_ONLY_LOW_POWER`

  Mode-only Low Power.

  - Value: `7`
  - Available since: 1.0
`QMI_DMS_OPERATING_MODE_UNKNOWN`

  Unknown.

  - Value: `255`
  - Available since: 1.0

#### Type functions

###### qmi_dms_operating_mode_get_string

Gets the nickname string for the `QmiDmsOperatingMode` specified at `val`.

since: 1.0